aboutsummaryrefslogtreecommitdiffstats
path: root/main/libusb
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-24 08:01:31 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-24 08:01:31 +0000
commitb70981b68efcce5256eb11c6cd26ae123b10b6ea (patch)
treea38be6efae5e2ba15c2e839504632f9b7bfd5f91 /main/libusb
parent2b4df81538b8398442d5296650905c70341dd8d3 (diff)
downloadaports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.gz
aports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.bz2
aports-b70981b68efcce5256eb11c6cd26ae123b10b6ea.tar.xz
moved extra/* to main/
and fixed misc build issues
Diffstat (limited to 'main/libusb')
-rw-r--r--main/libusb/APKBUILD20
1 files changed, 20 insertions, 0 deletions
diff --git a/main/libusb/APKBUILD b/main/libusb/APKBUILD
new file mode 100644
index 0000000000..7234ad31df
--- /dev/null
+++ b/main/libusb/APKBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libusb
+pkgver=1.0.1
+pkgrel=0
+pkgdesc="Library to enable user space application programs to communicate with USB devices"
+url="http://libusb.sourceforge.net/"
+license="LGPL"
+subpackages="$pkgname-dev"
+depends="uclibc"
+makedepends=""
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr --disable-build-docs
+ make || return 1
+ make DESTDIR="$pkgdir" install
+}
+md5sums="8fb0e066678a0d294894b5b2969cb4b3 libusb-1.0.1.tar.bz2"